Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046374
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSminorhave not tried2021-04-27 16:192021-07-14 13:23
ReporterplujanView Statuspublic 
Assigned ToRetail 
PrioritynormalResolutionopenFixed in Version
StatusacknowledgedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046374: [21Q2] Layout Product size upper limit has to be reduced

DescriptionWhen configuring the Layout, there is an option to set the number of rows and columns to be displayed. Currently, the upper limit is 99x99, however, the window becomes unresponsive for numbers above 50x50
Steps To Reproduce1. From the Main POS window, go to Layout
2. Choose the Product Size option
3. Make it 99x99. Notice before reaching this upper limit the browser response starts to drop.
Proposed SolutionThe upper limit should be set based not only in the technical limit reported in this issue but by a number resulting in an usable grid, no one should need a 50x50 grid.

After some extra testing, a grid greater than 30x30 show buttons that are not actionable.
TagsNo tags attached.
Attached Filespng file icon BigGridOfProducts.png [^] (57,814 bytes) 2021-04-27 16:19


png file icon BigGridOfProducts_v2.png [^] (23,312 bytes) 2021-05-26 13:41

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0127679)
guilleaer (manager)
2021-04-30 09:50

Keymap editor is under a big refactor. Better to not consider for now these issues
(0128661)
plujan (manager)
2021-05-26 13:41

Reopened as in the new component the issue can be reproduced as well
(0128662)
plujan (manager)
2021-05-26 13:42

Added a second screenshot where the Backpacks and Travel category was set as a 800x800 grid

- Issue History
Date Modified Username Field Change
2021-04-27 16:19 plujan New Issue
2021-04-27 16:19 plujan Assigned To => Retail
2021-04-27 16:19 plujan File Added: BigGridOfProducts.png
2021-04-27 16:19 plujan Triggers an Emergency Pack => No
2021-04-27 16:30 plujan Proposed Solution updated
2021-04-29 09:42 guilleaer Resolution time => 1622066400
2021-04-30 09:50 guilleaer Review Assigned To => guilleaer
2021-04-30 09:50 guilleaer Note Added: 0127679
2021-04-30 09:50 guilleaer Status new => closed
2021-05-26 13:41 plujan Note Added: 0128661
2021-05-26 13:41 plujan Status closed => new
2021-05-26 13:41 plujan File Added: BigGridOfProducts_v2.png
2021-05-26 13:42 plujan Note Added: 0128662
2021-05-26 13:42 plujan Resolution time 1622066400 => 1625436000
2021-06-14 10:24 guilleaer Status new => acknowledged
2021-07-14 13:23 dmiguelez Resolution time 1625436000 => 1633039200


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker